| OpenMS 2.5.0

PeptideIndexer

Refreshes the protein references for all peptide hits from an idXML file and adds target/decoy information.

pot. predecessor tools | PeptideIndexer | pot. successor tools
IDFilter or any protein/peptide processing tool | FalseDiscoveryRate

PeptideIndexer refreshes target/decoy information and mapping of peptides to proteins. The target/decoy information is crucial for the FalseDiscoveryRate tool. (For FDR calculations, "target+decoy" peptide hits count as target hits.)

PeptideIndexer allows for ambiguous amino acids (B|J|Z|X) in the protein database, but not in the peptide sequences. For the latter only I/L can be treated as equivalent (see 'IL_equivalent' flag), but 'J' is not allowed.

Enzyme cutting rules and partial specificity can be specified.

Resulting protein hits appear in the order of the FASTA file, except for orphaned proteins, which will appear first with an empty target_decoy metavalue. Duplicate protein accessions & sequences will not raise a warning, but create multiple hits (PeptideIndexer scans over the FASTA file once for efficiency reasons, and thus might not see all accessions & sequences at once).

All peptide and protein hits are annotated with target/decoy information, using the meta value "target_decoy". For proteins the possible values are "target" and "decoy", depending on whether the protein accession contains the decoy pattern (parameter `decoy_string`) as a suffix or prefix, respectively (see parameter `prefix`).

Peptide hits are annotated with metavalue 'protein_references', and if matched to at least one protein also with metavalue 'target_decoy'. The possible values for 'target_decoy' are "target", "decoy" and "target+decoy", depending on whether the peptide sequence is found only in target proteins, only in decoy proteins, or in both. The metavalue is not present, if the peptide is unmatched.

Runtime: PeptideIndexer is usually very fast (loading and storing the data takes the most time) and search speed can be further improved (linearly), but using more threads. Avoid allowing too many (>=4) ambiguous amino acids if your database contains long stretches of 'X' (exponential search space).

PeptideIndexer supports relative database filenames, which (when not found in the current working directory) are looked up in the directories specified by `OpenMS.ini:id_db_dir` (see TOPP for Advanced Users).

Further details can be found in the underlying PeptideIndexing implementation.

Note
  Currently mzIdentML (mzid) is not directly supported as an input/output format of this tool. Convert mzid files to/from idXML using IDFileConverter if necessary.

The command line parameters of this tool are:

    PeptideIndexer -- Refreshes the protein references for all peptide hits.

    Full documentation: http://www.openms.de/documentation/TOPP_PeptideIndexer.html

    Version: 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Sep 10 2020, 12:20:39, Revision: GIT-NOTFOUND

    To cite OpenMS:

      Rost HL, Sachsenberg T, Aiche S, Bielow C et al.. OpenMS: a flexible open-source software platform for mass spectrometry data analysis. Nat Meth. 2016; 13, 9: 741-748. doi:10.1038/nmeth.3959.

    Usage:

      PeptideIndexer <options>

    Options (mandatory options marked with '*'):

      -in <file>*                      Input idXML file containing the identifications. (valid formats: 'idXML')

      -fasta <file>*                   Input sequence database in FASTA format. Non-existing relative filenames

                                       are looked up via 'OpenMS.ini:id_db_dir' (valid formats: 'fasta')

      -out <file>*                     Output idXML file. (valid formats: 'idXML')

      -decoy_string <text>             String that was appended (or prefixed - see 'decoy_string_position' flag

                                       below) to the accessions in the protein database to indicate decoy protein

                                       s. If empty (default), it's determined automatically (checking for common

                                       terms, both as prefix and suffix).

      -decoy_string_position <choice>  Is the 'decoy_string' prepended (prefix) or appended (suffix) to the prote

                                       in accession? (ignored if decoy_string is empty) (default: 'prefix' valid:

                                       'prefix', 'suffix')

      -missing_decoy_action <choice>   Action to take if NO peptide was assigned to a decoy protein (which indica

                                       tes wrong database or decoy string): 'error' (exit with error, no output),

                                       'warn' (exit with success, warning message), 'silent' (no action is taken

                                       , not even a warning) (default: 'error' valid: 'error', 'warn', 'silent')

      -write_protein_sequence          If set, the protein sequences are stored as well.

      -write_protein_description       If set, the protein description is stored as well.

      -keep_unreferenced_proteins      If set, protein hits which are not referenced by any peptide are kept.

      -allow_unmatched                 If set, unmatched peptide sequences are allowed. By default (i.e. if this

                                       flag is not set) the program terminates with an error on unmatched peptide

                                       s.

      -aaa_max <number>                Maximal number of ambiguous amino acids (AAAs) allowed when matching to a

                                       protein database with AAAs. AAAs are B, J, Z and X! (default: '3' min:

                                       '0' max: '10')

      -mismatches_max <number>         Maximal number of mismatched (mm) amino acids allowed when matching to a

                                       protein database. The required runtime is exponential in the number of

                                       mm's; apply with care. MM's are allowed in addition to AAA's. (default:

                                       '0' min: '0' max: '10')

      -IL_equivalent                   Treat the isobaric amino acids isoleucine ('I') and leucine ('L') as equiv

                                       alent (indistinguishable). Also occurences of 'J' will be treated as 'I'

                                       thus avoiding ambiguous matching.

    enzyme:

      -enzyme:name <choice>            Enzyme which determines valid cleavage sites - e.g. trypsin cleaves after

                                       lysine (K) or arginine (R), but not before proline (P). (default: 'Trypsin

                                       ' valid: 'Asp-N_ambic', 'Chymotrypsin', 'Trypsin', 'Arg-C', 'Asp-N', 'Asp-

                                       N/B', 'Arg-C/P', 'V8-DE', 'proline endopeptidase', 'Formic_acid', 'Glu-C+P

                                       ', 'staphylococcal protease/D', 'cyanogen-bromide', 'Clostripain/P', 'elas

                                       tase-trypsin-chymotrypsin', 'Lys-C/P', 'no cleavage', 'unspecific cleavage

                                       ', 'Trypsin/P', 'V8-E', 'Alpha-lytic protease', 'PepsinA', 'Lys-C', 'gluta

                                       myl endopeptidase', 'Lys-N', 'TrypChymo', '2-iodobenzoate', 'Chymotrypsin/

                                       P', 'iodosobenzoate', 'proline-endopeptidase/HKR', 'PepsinA + P', 'leukocy

                                       te elastase', 'CNBr')

      -enzyme:specificity <choice>     Specificity of the enzyme.

                                       'full': both internal cleavage sites must match.

                                       'semi': one of two internal cleavage sites must match.

                                       'none': allow all peptide hits no matter their context. Therefore, the

                                       enzyme chosen does not play a role here (default: 'full' valid: 'full',

                                       'semi', 'none')

    Common TOPP options:

      -ini <file>                      Use the given TOPP INI file

      -threads <n>                     Sets the number of threads allowed to be used by the TOPP tool (default:

                                       '1')

      -write_ini <file>                Writes the default configuration file

      --help                           Shows options

      --helphelp                       Shows all options (including advanced)

INI file documentation of this tool:

Legend:
required parameter
advanced parameter
+PeptideIndexer Refreshes the protein references for all peptide hits.
version 2.5.0-GIT-NOTFOUND-GIT-NOTFOUND Version of the tool that generated this parameters file.
++1 Instance '1' section for 'PeptideIndexer'
in Input idXML file containing the identifications.input file*.idXML
fasta Input sequence database in FASTA format. Non-existing relative filenames are looked up via 'OpenMS.ini:id_db_dir'input file*.fasta
out Output idXML file.output file*.idXML
decoy_string String that was appended (or prefixed - see 'decoy_string_position' flag below) to the accessions in the protein database to indicate decoy proteins. If empty (default), it's determined automatically (checking for common terms, both as prefix and suffix).
decoy_string_position prefix Is the 'decoy_string' prepended (prefix) or appended (suffix) to the protein accession? (ignored if decoy_string is empty)prefix,suffix
missing_decoy_action error Action to take if NO peptide was assigned to a decoy protein (which indicates wrong database or decoy string): 'error' (exit with error, no output), 'warn' (exit with success, warning message), 'silent' (no action is taken, not even a warning)error,warn,silent
write_protein_sequence false If set, the protein sequences are stored as well.true,false
write_protein_description false If set, the protein description is stored as well.true,false
keep_unreferenced_proteins false If set, protein hits which are not referenced by any peptide are kept.true,false
allow_unmatched false If set, unmatched peptide sequences are allowed. By default (i.e. if this flag is not set) the program terminates with an error on unmatched peptides.true,false
aaa_max 3 Maximal number of ambiguous amino acids (AAAs) allowed when matching to a protein database with AAAs. AAAs are B, J, Z and X!0:10
mismatches_max 0 Maximal number of mismatched (mm) amino acids allowed when matching to a protein database. The required runtime is exponential in the number of mm's; apply with care. MM's are allowed in addition to AAA's.0:10
IL_equivalent false Treat the isobaric amino acids isoleucine ('I') and leucine ('L') as equivalent (indistinguishable). Also occurences of 'J' will be treated as 'I' thus avoiding ambiguous matching.true,false
log Name of log file (created only when specified)
debug 0 Sets the debug level
threads 1 Sets the number of threads allowed to be used by the TOPP tool
no_progress false Disables progress logging to command line true,false
force false Overwrite tool specific checks.true,false
test false Enables the test mode (needed for internal use only)true,false
+++enzyme
name Trypsin Enzyme which determines valid cleavage sites - e.g. trypsin cleaves after lysine (K) or arginine (R), but not before proline (P).Chymotrypsin,Asp-N,Asp-N/B,Arg-C,Trypsin,Arg-C/P,Asp-N_ambic,Formic_acid,CNBr,Trypsin/P,leukocyte elastase,proline endopeptidase,iodosobenzoate,cyanogen-bromide,TrypChymo,Clostripain/P,elastase-trypsin-chymotrypsin,no cleavage,unspecific cleavage,Lys-C,V8-DE,glutamyl endopeptidase,Lys-N,2-iodobenzoate,PepsinA,staphylococcal protease/D,V8-E,Lys-C/P,Alpha-lytic protease,proline-endopeptidase/HKR,Glu-C+P,PepsinA + P,Chymotrypsin/P
specificity full Specificity of the enzyme.
'full': both internal cleavage sites must match.
'semi': one of two internal cleavage sites must match.
'none': allow all peptide hits no matter their context. Therefore, the enzyme chosen does not play a role here full,semi,none